@import url('https://fonts.googleapis.com/css2?family=Inter:slnt@-10..0&display=swap');

:root {
  font-family: "Inter", sans-serif;
}

body {
  margin: 0;
}

.background.dark {
  background-color: #121212;
  color: #FFFFFF;
}

.menubar {
  width:100%;
  height:2em;
  text-align:left;
  box-shadow: 0px 3px 3px gray;
  color:white;
  background-color:#a06efe;
}

.menubar.flex {
  display:flex;
}

.menubar.inline {
  display:inline;
}

.menubar.center {
  text-align:center;
}

.menubar.center p {
  text-align:center;
}

.menubar.center a {
  text-align:center;
}

.menubar.right {
  float:right;
}

.menubar.space p {
  padding-left:10px;
  padding-right:10px;
}

.menubar.space a {
  padding-left:10px;
  padding-right:10px;
}

.menubar.red {
  background-color:#FF817E;
}

.menubar.green {
  background-color:#90ee90;
}

.menubar.blue {
  background-color:#ADD8E6;
  color:black;
}

.menubar.brown {
  background-color:#C4A484;
}

.menubar.white {
  background-color:#FFFFFF;
  color:black;
}

.menubar.dark {
  background-color: #333333;
}

.menubar p {
  margin:0px;
  padding:0px;
  vertical-align:center;
  line-height: 2em;
}

.menubar a {
  margin:0px;
  padding:0px;
  vertical-align:center;
  line-height: 2em;
}

.menubar.dark a {
  color:#bcbcbc;
}

.content {
  margin-left: 12px;
}

.container {
  background-color: #eeeeee;
  margin: 5px;
  border-radius: 10px;
  width: fit-content;
}

.container.dark {
  background-color: #333333;
  margin: 5px;
  border-radius: 10px;
  width: fit-content;
}

.container p {
  padding: 15px;
}

.container a {
  padding: 15px;
}

.footer {
  background-color: #3c3c3c;
  text-align: center;
  height: 2em;
}

.footer p {
  vertical-align: center;
  line-height: 2em;
  color: white;
}

button {
  font-family: "Inter", sans-serif;
  margin: 5px;
  padding: 10px;
  background-color: #905eee;
  color:white;
  cursor:pointer;
  border:none;
  border-radius: 10px;
}

button:active {
  background-color: #602ebe;
}

button.red {
  background-color: #EF716E;
}

button.red:active {
  background-color: #CF514E;
}

button.green {
  background-color: #80de80;
}

button.green:active {
  background-color: #60be60;
}

button.blue {
  background-color: #9DC8D6;
  color: black;
}

button.blue:active {
  background-color: #7da8b6;
  color: black;
}

button.brown {
  background-color: #b49474;
}

button.brown:active {
  background-color: #947454;
}

button.white {
  background-color: #EDEDED;
  color: black;
}

button.white:active {
  background-color: #cDcDcD;
  color: black;
}

a {
  text-decoration: none;
  font-weight: bold;
}

a.red {
  color:#EF716E;
}

a.green {
  color:#80De80;
}

a.blue {
  color:#9DC8D6;
}

a.brown {
  color:#B49474;
}

a.white {
  color:#ededed;
}

a.black {
  color: black;
}

.hero {
  height:calc(fit-content + 100px);
  width:100%;
  display:flex;
  justify-content:center;
  align-items: center;
  background-color:#804ede;
  color:white;
} 

.hero.red {
  background-color:#DF615E;
}

.hero.green {
  background-color:#70ce70;
}

.hero.blue {
  background-color:#8DB8C6;
  color:black;
}

.hero.brown {
  background-color:#A48464;
}

.hero.white {
  background-color:#DFDFDF;
  color:black;
}

.hero.dark {
  background-color:#222222;
}

.shadow {
  filter: drop-shadow(2px 2px 2px gray);
}

.shadow.dark {
  filter: drop-shadow(2px 2px 2px #000000);
}